Teacher to
Viren Khatri
•
50

Commentator to
admin
690

Popular Question to
admin
690

Scholar to
mrinal.shashwat
•
30

Teacher to
mrinal.shashwat
•
30

Answer: Amazon OA - Set 3 - Oncampus 2022
by
aditya.aggarwal393
•
0

Was this for Intern or Full Time?

Comment: Sprinklr Coding Round Oncampus 2022
by
mod2
•
760

**Quick Solution Sketches**
*Problem 1*
There are multiple ways to solve this. One approach is to mantain sliding window and do basic coun…

Answer: Sprinklr Coding Round Oncampus 2022
by
Gigaliths
•
90

Problem 3
> Observation 1 : There are roughly 25 prime numbers between 2-100.
> Observation 2 : Each node can choose any of these 2…

Answer: Amazon OA - Set 3 - Oncampus 2022
by
srijansriv
•
0

the last question is very clear maybe because its unconventional (or incomplete). could you please elaborate, thanks!

Answer: Microsoft Coding Round Oncampus - 2022
by
mod2
•
760

<h3>Solution 1</h3>
<b>Number of subarrays with average = K</b>
<pre>
Educational Tip (AVERAGE-TRICK)
For a lot of problems involving 'ave…

Answer: Microsoft Coding Round Oncampus - 2022
by
mod2
•
760

Problem 1
---------
**Number of subarrays with average = K**
Educational Tip (AVERAGE-TRICK)
For a lot of problems involving 'av…

Answer: Google Online Coding Challenge 23rd July
by
Raghavendra
•
30

The Question is a variation of pick not pick pattern[DP](Here pick means choose first element and non-pick means choose second element).
…

Answer: Google Online Coding Challenge 23rd July
by
Raghavendra
•
30

The Question is a variation of pick not pick pattern[DP](Here pick means choose first element and non-pick means choose second element).
…

Answer: Microsoft Online Test
by
Gigaliths
•
90

let sum(X) denote subarray sum from [0...X]<br>
we need to find pairs [L,R] such that sum[R] - sum[L-1] = (R-L+1)*k.<br>
This g…

Answer: BloomReach - SDE 1 ( 1 year Exp ) - Coding Round
by
Gigaliths
•
90

For problem 2
Let dp(i) denote the number of valid subsequences possible of type "abc....s[i]" from [ 0 , i ]
It is fairly clear that…

Answer: Question: Google | Coding Round (GOCC) - Set2 | July 2021 GOCC coding-round goog
by
prakhar12dubey
•
50

int solve(vector<vector<int>> &mat){
int m = mat.size(), n = mat[0].size();
int ans = 0;
for(int i = m-2; i >= 0; i--)…

Comment: BloomReach - SDE 1 ( 1 year Exp ) - Coding Round
by
mod2
•
760

Problem 2 is exactly same problem that Manas sir taught in his depth session on <b>Subsequence DP</b>!!

Answer: ByteDance | Singapore | SDE Intern | Freshers | 2nd October 2021 singapore sde1
by
garg.6
•
40

def helper(n,dp,kMax):
if(dp[n]!=-1):
return dp[n]
if(n <= 2*kMax):
return 1
for i…

Comment: Assessment for Backend Engineer (Growth)-2021 Start - ByteDance Campus Recruitme
by
garg.6
•
40

Question2 : https://leetcode.com/problems/count-binary-substrings/submissions/